%define oname ksysguard

Summary:	Plasma 5 system monitoring module
Name:		plasma5-%{oname}
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5sysguard-devel >= %{version}
BuildRequires:	lm_sensors-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Test)
# For scripts
Requires:	libksysguard
Conflicts:	kdebase4-workspace

%description
Plasma 5 system monitoring module.

%files -f %{oname}.lang
%{_kde5_applicationsdir}/org.kde.ksysguard.desktop
%{_kde5_bindir}/ksysguard
%{_kde5_bindir}/ksysguardd
%{_kde5_datadir}/ksysguard/*.sgrd
%{_kde5_iconsdir}/hicolor/16x16/apps/*.png
%{_kde5_libdir}/libkdeinit5_ksysguard.so
%{_kde5_notificationsdir}/ksysguard.notifyrc
%{_kde5_xmlguidir}/ksysguard/ksysguardui.rc
%{_kde5_sysconfdir}/ksysguarddrc
%{_kde5_sysconfdir}/xdg/ksysguard.knsrc

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{oname} --all-name --with-html --with-kde
%kf5locales_fix %{oname}.lang


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (c8b6e6d) New version 5.7.2


